Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit » Cannot Install EGit on Eclipse 4.4 M7
icon4.gif  Cannot Install EGit on Eclipse 4.4 M7 [message #1350042] Mon, 12 May 2014 09:21 Go to next message
Phillipus B is currently offline Phillipus B
Messages: 18
Registered: October 2012
Junior Member
Eclipse 4.4 M7 Mac OS X 10.9.2.

Install new Software (from Luna or from http://download.eclipse.org/egit/updates)

Leads to error:

An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
Error reading signed content.
/Users/phil/eclipse 4.4/plugins/javaewah_0.7.9.v201401101600.jar (No such file or directory)

Any help to solve this?
Re: Cannot Install EGit on Eclipse 4.4 M7 [message #1350759 is a reply to message #1350042] Mon, 12 May 2014 16:21 Go to previous messageGo to next message
Matthias Sohn is currently offline Matthias Sohn
Messages: 543
Registered: July 2009
Senior Member
Eclipse 4.4 M7 comes with EGit 3.4.0.201405051725-m7 which is the EGit milestone build for Luna M7.

http://download.eclipse.org/egit/updates always has the latest release which is 3.3.2.201404171909-r
at the moment. So currently it doesn't make much sense to try upgrading 4.4 M7 from this update site.

I tried anyway and the installer correctly found out that no update to a newer version is available.
Updating to the latest nightly from http://download.eclipse.org/egit/updates-nightly worked ok.

In order to ensure that http://download.eclipse.org/egit/updates doesn't have any corrupt bundles
I used it to update EGit coming with Kepler SR2 to 3.3.2 and this worked smoothly as well.

So I don't know what went wrong in your case Sad
Re: Cannot Install EGit on Eclipse 4.4 M7 [message #1350795 is a reply to message #1350759] Mon, 12 May 2014 16:44 Go to previous message
Phillipus B is currently offline Phillipus B
Messages: 18
Registered: October 2012
Junior Member
It may be that it has nothing to do with eGit. I got a similar error message when installing something else.

It might not like the space in this path:

/Users/phil/eclipse 4.4/

I changed it to:

/Users/phil/eclipse4.4/

and it worked.
Previous Topic:Quickdiff by comit Changes (like in Aptana)
Next Topic:Help: My Push was rejected
Goto Forum:
  


Current Time: Fri Jul 25 14:25:06 EDT 2014

Powered by FUDForum. Page generated in 0.14808 seconds